summaryrefslogtreecommitdiffstats
path: root/deps
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-09-22 12:56:48 +0200
committer Eric Hameleers <alien@slackware.com>2018-09-22 12:56:48 +0200
commitbb4433ddbf1c0cee32f491d93afa898a32d86376 (patch)
tree27ac7387de084d3c983f27ddff6cb4e0587f2eb4 /deps
parent7b03ad843b44e5b717adf5b2de6b00cb498c2024 (diff)
downloadktown-bb4433ddbf1c0cee32f491d93afa898a32d86376.tar.gz
ktown-bb4433ddbf1c0cee32f491d93afa898a32d86376.tar.xz
Updated and rebuilt some of the deps
OpenAL: updated cryfs: rebuilt against the new cryptopp cryptopp: updated libxkbcommon: updated qt5: updated
Diffstat (limited to 'deps')
-rw-r--r--deps/OpenAL/.url2
-rwxr-xr-xdeps/OpenAL/OpenAL.SlackBuild22
-rwxr-xr-xdeps/cryfs/cryfs.SlackBuild2
-rw-r--r--deps/cryptopp/.url2
-rwxr-xr-xdeps/cryptopp/cryptopp.SlackBuild4
-rw-r--r--deps/libxkbcommon/.url2
-rwxr-xr-xdeps/libxkbcommon/libxkbcommon.SlackBuild17
-rw-r--r--deps/qt5/.url2
-rw-r--r--deps/qt5/patches/qt5.webengine_gcc8.patch26
-rwxr-xr-xdeps/qt5/qt5.SlackBuild12
10 files changed, 72 insertions, 19 deletions
diff --git a/deps/OpenAL/.url b/deps/OpenAL/.url
index ddc7105..d6fe6f6 100644
--- a/deps/OpenAL/.url
+++ b/deps/OpenAL/.url
@@ -1,2 +1,2 @@
-http://kcat.strangesoft.net/openal-releases/openal-soft-1.18.2.tar.bz2
+http://kcat.strangesoft.net/openal-releases/openal-soft-1.19.0.tar.bz2
diff --git a/deps/OpenAL/OpenAL.SlackBuild b/deps/OpenAL/OpenAL.SlackBuild
index d6c79c5..423f42f 100755
--- a/deps/OpenAL/OpenAL.SlackBuild
+++ b/deps/OpenAL/OpenAL.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# Copyright 2014 Patrick J. Volkerding, Sebeka, MN, USA
-# Copyright 2012, 2013, 2014, 2015, 2017 Eric Hameleers, Eindhoven, NL
+# Copyright 2012, 2013, 2014, 2015, 2017, 2018 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -23,13 +23,14 @@
# -----------------------------------------------------------------------------
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=OpenAL
SRCNAM=openal-soft
-VERSION=${VERSION:-1.18.2}
+VERSION=${VERSION:-1.19.0}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-" -j4 "}
+NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -68,6 +69,14 @@ else
LIBDIRSUFFIX=""
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz"
+ exit 0
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
@@ -90,9 +99,10 @@ cd build
-DMAN_INSTALL_DIR=/usr/man \
-DSYSCONF_INSTALL_DIR=/etc \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -G Ninja \
..
- make $NUMJOBS || make || exit 1
- make install DESTDIR=$PKG || exit 1
+ ninja || exit 1
+ DESTDIR=$PKG ninja install || exit 1
cd -
# Add an example configuration file:
diff --git a/deps/cryfs/cryfs.SlackBuild b/deps/cryfs/cryfs.SlackBuild
index f35a861..5c501e1 100755
--- a/deps/cryfs/cryfs.SlackBuild
+++ b/deps/cryfs/cryfs.SlackBuild
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cryfs
VERSION=${VERSION:-0.9.9}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
diff --git a/deps/cryptopp/.url b/deps/cryptopp/.url
index d102016..3a7d5c8 100644
--- a/deps/cryptopp/.url
+++ b/deps/cryptopp/.url
@@ -1 +1 @@
-https://www.cryptopp.com/cryptopp610.zip
+https://www.cryptopp.com/cryptopp700.zip
diff --git a/deps/cryptopp/cryptopp.SlackBuild b/deps/cryptopp/cryptopp.SlackBuild
index 52e8660..e3a6079 100755
--- a/deps/cryptopp/cryptopp.SlackBuild
+++ b/deps/cryptopp/cryptopp.SlackBuild
@@ -27,10 +27,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cryptopp
-VERSION=${VERSION:-6.1.0}
+VERSION=${VERSION:-7.0.0}
SRCVER=$(echo $VERSION | tr -d '.')
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:--j7}
+NUMJOBS=${NUMJOBS:-$(nproc)}
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
diff --git a/deps/libxkbcommon/.url b/deps/libxkbcommon/.url
index 16a002a..7dba450 100644
--- a/deps/libxkbcommon/.url
+++ b/deps/libxkbcommon/.url
@@ -1,2 +1,2 @@
-https://xkbcommon.org/download/libxkbcommon-0.8.0.tar.xz
+https://xkbcommon.org/download/libxkbcommon-0.8.2.tar.xz
diff --git a/deps/libxkbcommon/libxkbcommon.SlackBuild b/deps/libxkbcommon/libxkbcommon.SlackBuild
index 22af0bb..442bb48 100755
--- a/deps/libxkbcommon/libxkbcommon.SlackBuild
+++ b/deps/libxkbcommon/libxkbcommon.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
-# Copyright 2015, 2017 Eric Hameleers, Eindhoven, NL
+# Copyright 2015, 2017, 2018 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,11 +22,12 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=libxkbcommon
-VERSION=${VERSION:-0.8.0}
+VERSION=${VERSION:-0.8.2}
BUILD=${BUILD:-1}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -64,11 +65,19 @@ case "$ARCH" in
*) TARGET=$ARCH-slackware-linux ;;
esac
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
diff --git a/deps/qt5/.url b/deps/qt5/.url
index a133eca..82f9c72 100644
--- a/deps/qt5/.url
+++ b/deps/qt5/.url
@@ -1 +1 @@
-http://download.qt.io/official_releases/qt/5.11/5.11.1/single/qt-everywhere-src-5.11.1.tar.xz
+http://download.qt.io/official_releases/qt/5.11/5.11.2/single/qt-everywhere-src-5.11.2.tar.xz
diff --git a/deps/qt5/patches/qt5.webengine_gcc8.patch b/deps/qt5/patches/qt5.webengine_gcc8.patch
new file mode 100644
index 0000000..cf276bc
--- /dev/null
+++ b/deps/qt5/patches/qt5.webengine_gcc8.patch
@@ -0,0 +1,26 @@
+# Prevent these errors caused by using GCC8
+# (original patch taken from Fedora's chromium SRPM):
+#
+# make: *** [Makefile:1028: module-qtwebengine-make_first] Error 2
+# FAILED: obj/mojo/public/c/system/system/thunks.o
+# ../../3rdparty/chromium/mojo/public/c/system/buffer.h:38:42: error: static assertion failed: int64_t has weird alignment
+# ../../3rdparty/chromium/mojo/public/c/system/data_pipe.h:49:42: error: static assertion failed: int64_t has weird alignment
+# ../../3rdparty/chromium/mojo/public/c/system/message_pipe.h:47:42: error: static assertion failed: int64_t has weird alignment
+#
+--- a/src/3rdparty/chromium/mojo/public/c/system/macros.h 2018-05-15 14:58:46.448912634 -0400
++++ b/src/3rdparty/chromium/mojo/public/c/system/macros.h 2018-05-15 14:58:52.041784613 -0400
+@@ -18,7 +18,13 @@
+ #endif
+
+ // Like the C++11 |alignof| operator.
+-#if __cplusplus >= 201103L
++#if defined(__GNUC__) && __GNUC__ >= 8
++// GCC 8 has changed the alignof operator to return the minimal alignment
++// required by the target ABI, instead of the preferred alignment.
++// This means that on 32-bit x86, it will return 4 instead of 8.
++// Use __alignof__ instead to avoid this.
++#define MOJO_ALIGNOF(type) __alignof__(type)
++#elif __cplusplus >= 201103L
+ #define MOJO_ALIGNOF(type) alignof(type)
+ #elif defined(__GNUC__)
+ #define MOJO_ALIGNOF(type) __alignof__(type)
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index 3348695..2f581a4 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -57,9 +57,13 @@
# Modifications for qt 5.9.5 2018 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.9.6 2018 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.11.0 2018 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt 5.11.1 2018 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt 5.11.2 2018 by Eric Hameleers, Eindhoven, NL
+
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=qt5
-VERSION=${VERSION:-5.11.1}
+VERSION=${VERSION:-5.11.2}
BUILD=${BUILD:-1}
PKGSRC=$(echo $VERSION |cut -d- -f1)
PKGVER=$(echo $VERSION |tr - _)
@@ -120,7 +124,6 @@ case "$ARCH" in
*) TARGET=$ARCH-slackware-linux ;;
esac
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
@@ -155,6 +158,11 @@ cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose || exit 1
# cat $CWD/patches/qt5.private-includes.patch | patch -p1 --verbose || exit 1
#cd - 1>/dev/null
+# Fix compilation error in chromium caused by gcc8:
+cd qtwebengine
+ cat $CWD/patches/qt5.webengine_gcc8.patch | patch -p1 --verbose || exit 1
+cd - 1>/dev/null
+
if ! pkg-config --exists libpulse 2>/dev/null ; then
# Forcibly disable pulseaudio in qtwebengine:
cat $CWD/patches/qt5.pulseaudio.diff | patch -p1 --verbose || exit 1